Bug 841898 - [abrt] evince-3.4.0-2.fc17: strlen: Process /usr/bin/evince was killed by signal 11 (SIGSEGV)
[abrt] evince-3.4.0-2.fc17: strlen: Process /usr/bin/evince was killed by sig...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: evince (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Marek Kašík
Fedora Extras Quality Assurance
abrt_hash:d00e5db3de374ea7502b9c782e0...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-20 09:52 EDT by John Reiser
Modified: 2013-08-01 01:08 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 01:08:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (23.03 KB, text/plain)
2012-07-20 09:52 EDT, John Reiser
no flags Details
File: maps (38.66 KB, text/plain)
2012-07-20 09:52 EDT, John Reiser
no flags Details
File: dso_list (8.00 KB, text/plain)
2012-07-20 09:52 EDT, John Reiser
no flags Details

  None (edit)
Description John Reiser 2012-07-20 09:52:33 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        evince /tmp/IHI0036B_bsabi.pdf
comment:        Right-click > Copy link location; then (using another app) Edit > Paste.
crash_function: strlen
executable:     /usr/bin/evince
kernel:         3.4.4-5.fc17.x86_64
pid:            2459
pwd:            /bigdata/home/jreiser
time:           Fri 20 Jul 2012 06:50:34 AM PDT
uid:            1000
username:       jreiser

backtrace:      Text file, 23578 bytes
dso_list:       Text file, 8197 bytes
maps:           Text file, 39592 bytes

build_ids:
:8b33feb27b2125997520fdd21c90c42a65e438f1
:ea5f97dd011ba5c6776baa140c736ad34afb7026
:faca16f15d87b83d2947a386e319b02f724dcbb5
:54a5cc118d928470da13565de8592b664a9868e0
:4c9c864a7c7b7ed702088955821d58137803462d
:b6d75088f555d197be1476cb1c580640826ae029
:b8bfc491895389962d926fdc99cbfbac571f2cf0
:5b4f3d35b4612be98f2bbb635b3eabf0ee7e437d
:30dcd9b8ed918d4a36d11e3822dd23882c9ed403
:a8efbe1d263ad42afae74bc027eee88eaa754f55
:f534feded388130df4a9e789eec1e38c320bc55b
:38edf4fc362690a162fe96ed4866ed49fcf138c7
:e2c42e769e7466cfafe31d90ab42c70c68ae8a98
:b277af36744327e3d58eae76bcdaadcca71a28c6
:a2d5b50b07df0fb9c52fcc682c6121d3e7276249
:ec87953f655fbcbcbe71b591db5451e56739576e
:710b0d8cc36603d66327090defd37c99daa38f28
:0a688bf9160e6e3a2a8f41967f3c75094bca08a7
:e91010b497ec024178c36f4365b21f668bada0ca
:234d4eb1aa690c38533ef82f517b390255d3bc4d
:31243d0d107bba586a96433c76c87a26db1e826c
:8f7c190397d7c1f617e66f18f759714662b60367
:d32cbeacfd9f41e3cd29b697dd111f44a2d9c127
:253afe744466fe7580bbb6040de6183dba9e2b02
:f64b7319b84d426ed547084bdb2577f4f596c18f
:42675a8ad8f70ff19362070510cdf1ba202a70db
:6ea05195018eb2e7efb545d3cbdec19ab3680ec4
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65
:e435dfbd32ac16eff99db4353fd2fda45c6712c1
:508cf66f72e70054a41215f80ed2385c6bb80030
:dec0de92024bee74c75c04bde4c54c097fe68ae8
:67792c148d2b8f13f6732c9367e926c26d7376c5
:c4c181c1d672eb8dbd52cccea05b15c7ae667c3d
:516204cfc31148538d56b21e2f1b945ed50127d4
:63651cdc0224824a9c9324c77c3b5887378e871d
:835ece100ae7d8bb3c7f990b52f28ecdeb74975e
:c4ec0971b2dcee71aaf8374975474054245fea00
:a553a7e9625a224a8f39286909adc17787ad51bd
:73777e822e00ca152ffca281ab0ace0cb498ec48
:822e9b3523e8312240f41a25722d539bc77ed436
:404cbecd24d186758ed474b345313da28b2990fa
:396fda5abd0de2132396c4a3e94f7a7173bc26e7
:617e70e4105dfaa44b8d1f53b914e37eb5886ceb
:3f0991d9a4679b6bdd8a78ab2d05ecf4cc995651
:d804f8ee47797da9213a92f00cd095ecada8d79f
:9dc7d977acebd2e8abf2d55bf2738ea2d89f7480
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f
:ce246b3297de0d233ac2c5f9e50061e2b13a330c
:6e5d5649c704cd3a34cf145ccd2d08994f1e83ff
:4d09d82785dab5f95c01b69bc0785145a5954d30
:7c35310fc506498c612d5d982ab03becc4b4817c
:2575710ca5c833e25595afa1a298db1ba27ae6d8
:1555b1de25ee9aa6770b016dc6b0fc0372c073bd
:1a0c09f270adf8398df4362ce0acfafc1f970982
:48c0fe9b8cd26b4d0b5bf1de0bc76da565bd7d27
:99c23b21038c62b0628b93610fb54c5900c40ffd
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202
:c24fd7404668fdbb57aec685a0f63cdd8a289d29
:839c8e3a55bd7f61afdcfebeae52f9dadc3a69fb
:4b044fe80e4c1b69986abc4b160c303048005d4e
:e3f83e6ed76d65ff9d0d4aa5fcc7bf0c6bfaaadd
:c61e487cc8906c4f1bd85b39a4d751b414e423a0
:5dd234206476b0387cd251598aa72a2c95c763c5
:271a2d91cc3308783ff4a7ab45049f31aa42d8b7
:0eeac854ab0b56d18d126ca7056136b4e63abed7
:762e5f92dd2eeb54e44743ea6120ce01522489a0
:1d4df97fa6024b097b634a272447243c95c26d85
:e0c3598d03aa1208d9f668669ccb7803a41d92ed
:a5cf7008c28585406297cf76ce11e2e554e5a7b4
:1b7abd5c8129b91c0ca4f0f0812e61660236fd38
:247132297f287226a24c12e683292f5c94013066
:5350b5972464f66f404861dc50225a114a2a5e7e

cgroup:
:8:perf_event:/
:7:blkio:/
:6:net_cls:/
:5:freezer:/
:4:devices:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/jreiser/2

core_backtrace:
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x85f71 __strlen_sse2 libc.so.6 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x1e86a8 gtk_selection_data_set_text libgtk-3.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x206d8 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x2866d g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x28cd0 g_signal_emit_by_name libgobject-2.0.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x1e7f8b - libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x1e98cd - libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x17adcf - libgtk-3.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf943 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x27d88 g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x2a2d0e - libgtk-3.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x17aaf6 gtk_main_do_event libgtk-3.so.0 -
:8b33feb27b2125997520fdd21c90c42a65e438f1 0x48e62 - libgdk-3.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x476e5 g_main_context_dispatch libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47a18 - libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47e12 g_main_loop_run libglib-2.0.so.0 -
:710b0d8cc36603d66327090defd37c99daa38f28 0x179d65 gtk_main libgtk-3.so.0 -
:e435dfbd32ac16eff99db4353fd2fda45c6712c1 0x1c7b5 - [exe] -

environ:
:XDG_VTNR=1
:XSUNTRANSPORT=shmem
:XDG_SESSION_ID=2
:SSH_AGENT_PID=1076
:HOSTNAME=f17-64.local
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/home/jreiser/.gnupg/S.gpg-agent:1100:1
:GLADE_PIXMAP_PATH=:
:XDG_MENU_PREFIX=xfce-
:TERM=dumb
:SHELL=/bin/bash
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/run/user/jreiser/keyring-Nxr05g
:MOZILLA_FIVE_HOME=/usr/lib64/firefox
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=jreiser
:LD_LIBRARY_PATH=/usr/lib64/firefox:/usr/lib64/firefox/plugins:/usr/lib64/firefox
:GLADE_MODULE_PATH=:
:SSH_AUTH_SOCK=/tmp/ssh-HrDzKKejb936/agent.936
:LIBPATH=/usr/lib64/firefox:/usr/lib64/firefox
:USERNAME=jreiser
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1109,unix/unix:/tmp/.ICE-unix/1109
:GNOME_DISABLE_CRASH_DIALOG=1
:MOZ_APP_LAUNCHER=/usr/bin/firefox
:MOZ_PLUGIN_PATH=/usr/lib64/mozilla/plugins:/usr/lib64/firefox/plugins
:XDG_CONFIG_DIRS=/etc/xdg
:MAIL=/var/spool/mail/jreiser
:DESKTOP_SESSION=xfce
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/jreiser/bin
:FONTCONFIG_PATH=/etc/fonts:/usr/lib64/firefox/res/Xft
:QT_IM_MODULE=xim
:PWD=/bigdata/home/jreiser
:XMODIFIERS=@im=none
:LANG=en_US.UTF-8
:GNOME_KEYRING_PID=927
:XSUNSMESIZE=512
:GDMSESSION=xfce
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:MALLOC_PERTURB_=216
:SHLVL=2
:HOME=/home/jreiser
:XDG_SEAT=seat0
:DYLD_LIBRARY_PATH=/usr/lib64/firefox:/usr/lib64/firefox
:LOGNAME=jreiser
:CVS_RSH=ssh
:MOZ_GRE_CONF=/etc/gre.d/gre64.conf
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-J2kOxNBORX,guid=947316f666a4ca9cfe7a47de00000021
:XDG_DATA_DIRS=/usr/local/share:/usr/share
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:SHLIB_PATH=/usr/lib64/firefox:/usr/lib64/firefox
:RPMBUILD=/home2/jreiser-home2/rpmbuild
:WINDOWPATH=1
:DISPLAY=:0.0
:XDG_RUNTIME_DIR=/run/user/jreiser
:GLADE_CATALOG_PATH=:
:LIBGLADE_MODULE_PATH=:
:CCACHE_HASHDIR=
:XAUTHORITY=/var/run/gdm/auth-for-jreiser-doVHic/database
:NO_AT_BRIDGE=1
:MOZ_CRASHREPORTER_RESTART_ARG_0=/usr/lib64/firefox/firefox
:MOZ_CRASHREPORTER_RESTART_ARG_1=--sm-config-prefix
:MOZ_CRASHREPORTER_RESTART_ARG_2=/firefox-cIQwUy/
:MOZ_CRASHREPORTER_RESTART_ARG_3=--sm-client-id
:MOZ_CRASHREPORTER_RESTART_ARG_4=2d1cea0ed-dcf6-4600-b45d-a3e9341cce97
:MOZ_CRASHREPORTER_RESTART_ARG_5=--screen
:MOZ_CRASHREPORTER_RESTART_ARG_6=0
:MOZ_CRASHREPORTER_RESTART_ARG_7=
:'MOZ_CRASHREPORTER_DATA_DIRECTORY=/home/jreiser/.mozilla/firefox/Crash Reports'
:MOZ_LAUNCHED_CHILD=
:ORBIT_SOCKETDIR=/tmp/orbit-jreiser
:XRE_PROFILE_PATH=
:XRE_PROFILE_LOCAL_PATH=
:XRE_PROFILE_NAME=
:XRE_START_OFFLINE=
:NO_EM_RESTART=
:XUL_APP_FILE=
:XRE_BINARY_PATH=
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/evince.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=2459

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 30955                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       30955                30955                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/bigdata/home/jreiser/.xsession-errors
:pos:	18409
:flags:	0102002
:2:/bigdata/home/jreiser/.xsession-errors
:pos:	18409
:flags:	0102002
:3:socket:[272667]
:pos:	0
:flags:	02000002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[272669]
:pos:	0
:flags:	02004002
:6:socket:[272674]
:pos:	0
:flags:	02004002
:7:socket:[271661]
:pos:	0
:flags:	02004002
:8:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:9:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:10:anon_inode:inotify
:pos:	0
:flags:	02004000
:11:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:12:/tmp/IHI0036B_bsabi.pdf
:pos:	4096
:flags:	0100000
:13:/usr/share/fonts/liberation/LiberationSans-Bold.ttf
:pos:	0
:flags:	0100000
:14:/usr/share/fonts/liberation/LiberationSans-Regular.ttf
:pos:	0
:flags:	0100000
:15:/usr/share/fonts/liberation/LiberationSans-Italic.ttf
:pos:	0
:flags:	0100000
:16:/usr/share/fonts/liberation/LiberationSans-BoldItalic.ttf
:pos:	0
:flags:	0100000
:17:/usr/share/fonts/liberation/LiberationSerif-Regular.ttf
:pos:	0
:flags:	0100000
:18:socket:[279755]
:pos:	0
:flags:	02004002
:19:/bigdata/home/jreiser/.local/share/gvfs-metadata/root (deleted)
:pos:	0
:flags:	0100000
:20:/bigdata/home/jreiser/.local/share/gvfs-metadata/root-dc43e548.log (deleted)
:pos:	0
:flags:	0100000
:21:socket:[281225]
:pos:	0
:flags:	02004002

var_log_messages:
:Jul 20 06:50:34 f17-64 kernel: [ 4240.079059] evince[2459]: segfault at 8 ip 000000363b885f71 sp 00007fffe62fe5e8 error 4 in libc-2.15.so[363b800000+1ac000]
:Jul 20 06:50:36 f17-64 abrt[2518]: Saved core dump of pid 2459 (/usr/bin/evince) to /var/spool/abrt/ccpp-2012-07-20-06:50:34-2459 (150630400 bytes)
Comment 1 John Reiser 2012-07-20 09:52:39 EDT
Created attachment 599396 [details]
File: backtrace
Comment 2 John Reiser 2012-07-20 09:52:41 EDT
Created attachment 599397 [details]
File: maps
Comment 3 John Reiser 2012-07-20 09:52:42 EDT
Created attachment 599398 [details]
File: dso_list
Comment 4 John Reiser 2012-07-27 10:15:56 EDT
Right click on URL link in .pdf document, select Copy Link Location.  Go to another app, try to paste link text by using middle button.

backtrace_rating: 4
Package: evince-3.4.0-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 5 Fedora End Of Life 2013-07-03 21:02:47 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-08-01 01:08:41 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.